import { Host, h } from "@stencil/core";
export class SpwListDescription {
    get elementClass() {
        const hasLineClamp = this.lineClamp !== 'none';
        return {
            'spw-list-description': true,
            [`spw-list-description--has-clamp`]: hasLineClamp,
            [`spw-list-description--clamp-${this.lineClamp}`]: true,
        };
    }
    render() {
        return (h(Host, { key: '1acb8335f45d7ffb0e2cb9fc8d1bbd44567511f1' }, h("div", { key: 'dd9fa74ca7ec1021de985fd064e7f8ae25ea0a03', class: this.elementClass }, h("slot", { key: 'eafa4bbebf071a426b72e6e675b2c9a3ac9538cc' }))));
    }
    static get is() { return "spw-list-description"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["spw-list-description.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["spw-list-description.css"]
        };
    }
    static get properties() {
        return {
            "lineClamp": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": "Sp\u00E9cifie un nombre de ligne maximum \u00E0 afficher"
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "attribute": "line-clamp"
            }
        };
    }
}
